MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004318ATutor- no cat -public2010-06-09 09:292010-09-22 11:52
Reportercindy 
Assigned Toharris 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.0 
Target VersionFixed in Version2.0 
Summary0004318: CC which has certain test associated with content failed to import
DescriptionHow to re-produce:

1. import the attached test package "atutor_how_to-LaTex_Questions-20100521.zip" into atutor;
2. associate the imported test with a content;
3. export the content as common cartridge, which in my case is attachment "atutor_how_to_-_Welcome_To_ATutor_imscc.zip"
4. import the common cartridge back into atutor. Error:

Import failed. Does not appear to be a valid content package or common cartridge:
Error 1871: Element '{http://www.imsglobal.org/xsd/ims_qtiasiv1p2}qmd_itemtype': [^] This element is not expected. Expected is ( {http://www.imsglobal.org/xsd/ims_qtiasiv1p2}qtimetadata [^] ). in file:///C:/Development/docs/content/import/14/QTI/tests_42.xml [^] on line 79 (AT_ERROR_IMPORT_CARTRIDGE_FAILED)
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Fileszip file icon atutor_how_to-LaTex_Questions-20100521.zip [^] (2,481 bytes) 2010-06-09 09:29
zip file icon atutor_how_to_-_Welcome_To_ATutor_imscc.zip [^] (3,821 bytes) 2010-06-09 09:29

- Relationships

-  Notes
(0004323)
harris (developer)
2010-06-10 12:37

Validator complaint about the qmd_itemtype which is deprecated (supposedly it is still backward compatible according to the asi information model spec)

Changed <itemmetadata> to the following:

<itemmetadata>
                <qtimetadata>
                    <qtimetadatafield>
                        <fieldlabel>qmd_itemtype</fieldlabel>
                        <fieldentry>Logical Groups</fieldentry>
                    </qtimetadatafield>
                </qtimetadata>
                <qtimetadata>
                    <qtimetadatafield>
                        <fieldlabel>qmd_questiontype</fieldlabel>
                        <fieldentry>Drag-and-drop</fieldentry>
                    </qtimetadatafield>
                </qtimetadata>
            </itemmetadata>
(0004324)
harris (developer)
2010-06-10 12:37

Another Error:

Results for cartridge file with uri 'QTI/tests_50.xml'

    * Validation against schema file with uri 'domainProfile_4/ims_qtiasiv1p2_localised.xsd'
          o Found the following errors:
            Line Message
            98 cvc-complex-type.2.4.a: Invalid content was found starting with element 'response_grp'. One of '{"http://www.imsglobal.org/xsd/ims_qtiasiv1p2":flow, [^] "http://www.imsglobal.org/xsd/ims_qtiasiv1p2":material, [^] "http://www.imsglobal.org/xsd/ims_qtiasiv1p2":material_ref, [^] "http://www.imsglobal.org/xsd/ims_qtiasiv1p2":response_lid, [^] "http://www.imsglobal.org/xsd/ims_qtiasiv1p2":response_str}' [^] is expected.
            197 cvc-complex-type.2.4.a: Invalid content was found starting with element 'response_grp'. One of '{"http://www.imsglobal.org/xsd/ims_qtiasiv1p2":flow, [^] "http://www.imsglobal.org/xsd/ims_qtiasiv1p2":material, [^] "http://www.imsglobal.org/xsd/ims_qtiasiv1p2":material_ref, [^] "http://www.imsglobal.org/xsd/ims_qtiasiv1p2":response_lid, [^] "http://www.imsglobal.org/xsd/ims_qtiasiv1p2":response_str}' [^] is expected.
(0004325)
harris (developer)
2010-06-10 12:40

Regarding the error above, it says,
"One of '{
"http://www.imsglobal.org/xsd/ims_qtiasiv1p2":flow, [^] "http://www.imsglobal.org/xsd/ims_qtiasiv1p2":material, [^] "http://www.imsglobal.org/xsd/ims_qtiasiv1p2":material_ref, [^] "http://www.imsglobal.org/xsd/ims_qtiasiv1p2":response_lid, [^] "http://www.imsglobal.org/xsd/ims_qtiasiv1p2":response_str [^]
}' is expected. "

But the ASI Binding Specification v1.2(and 1.2.1) Section 3.5.11 stated that,

"3.5.11 <flow> Element
Description: This element contains all of the instructions for the presentation with flow blocking of the question
during a test. This information includes the actual material to be presented. The labels for the possible responses are
also identified and these are used by the response processing element defined elsewhere in the Item.
Multiplicity: Occurs zero or once within the <presentation> element.
Attributes:
? class (optional. Default=Block). The type of flow blocking to be applied to the contained material.
Data-type = String (max of 32 chars).
Elements:
? flow
? material
? material_ref
? response_lid
? response_xy
? response_str
? response_num
? response_grp
? response_extension"

Notice how the elements don't match?...
(0004326)
harris (developer)
2010-06-11 10:58

http://www.respondus.com/esupport/index.php?_a=tickets&_m=listview&_i=IZP-86648 [^]
(0004328)
harris (developer)
2010-06-11 12:37

svn: 10013

Modified domain_profile4/ims_qtiasi1p2_localised.xsd
line 488

changed
<xs:element name="response_gr[" type="response_grpType" minOccurs="0" maxOccurs="0" />
to
<xs:element name="response_gr[" type="response_grpType" />

- Issue History
Date Modified Username Field Change
2010-06-09 09:29 cindy New Issue
2010-06-09 09:29 cindy File Added: atutor_how_to-LaTex_Questions-20100521.zip
2010-06-09 09:29 cindy Affects version => SVN
2010-06-09 09:29 cindy File Added: atutor_how_to_-_Welcome_To_ATutor_imscc.zip
2010-06-09 09:30 cindy Status new => assigned
2010-06-09 09:30 cindy Assigned To => harris
2010-06-10 12:37 harris Note Added: 0004323
2010-06-10 12:37 harris Note Added: 0004324
2010-06-10 12:40 harris Note Added: 0004325
2010-06-11 10:58 harris Note Added: 0004326
2010-06-11 12:37 harris Status assigned => resolved
2010-06-11 12:37 harris Fixed in Version => 2.0
2010-06-11 12:37 harris Resolution open => fixed
2010-06-11 12:37 harris Note Added: 0004328
2010-09-22 11:52 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker